'use strict';

var angular = require('angular');
require('./modules');
require('uiRouter');

var module = angular.module('gesturepassword.routes');

module.config(function($stateProvider) {
	$stateProvider
	.state('gesturepassword', {
		url: '/gesturepassword',
		template: '<ion-view cache-view="false" view-direction="none"><ion-nav-view></ion-nav-view></ion-view>'
	})
	.state('gesturepassword.validateGesturePwd', {
		url: '/validategesturepassword',
		templateUrl: 'views/gesturepassword/gesturepassword.tpl.html',
		controller: 'validateGestureScreenController'
	})
	.state('gesturepassword.setGesturePwd', {
		url: '/setgesturepassword',
		templateUrl: 'views/gesturepassword/setgesturepassword.tpl.html',
		controller: 'setGestureScreenController',
	})
	.state('gesturepassword.setGesturePwd2', {
		url: '/setgesturepassword2',
		templateUrl: 'views/gesturepassword/setgesturepassword.tpl.html',
		controller: 'setGestureScreenController',

	})
    .state('gesturepassword.setGesturePwd2Ignore', {
		url: '/setgesturepassword2/ignore',
		templateUrl: 'views/gesturepassword/setgesturepassword.tpl.html',
		controller: 'setGestureScreenController',
		data: {
        ignore: true
		},
	})
    .state('gesturepassword.setGesturePwd2CanBack', {
      url: '/setgesturepassword2/back',
		templateUrl: 'views/gesturepassword/setgesturepassword.tpl.html',
		controller: 'setGestureScreenController',
		data: {
        back: true
		}
    })
	.state('gesturepassword.modifyGesturepassword', {
		url: '/modifygesturepassword',
		templateUrl: 'views/gesturepassword/modifygesturepassword.tpl.html',
		controller: 'modifyGestureScreenController'
	})
    .state('gesturepassword.configGesturepassword', {
      url: '/configGesturepassword',
      templateUrl: 'views/gesturepassword/configGesturepassword.tpl.html',
      controller: 'configGesturePasswordController'
    });
});